\section{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/busclass-xml.c File Reference}
\label{busclass-xml_8c}\index{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/busclass-xml.c@{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/busclass-xml.c}}
Busclass XML data file parsing. 

{\tt \#include \char`\"{}config.h\char`\"{}}\par
{\tt \#include $<$sys/types.h$>$}\par
{\tt \#include $<$assert.h$>$}\par
{\tt \#include $<$limits.h$>$}\par
{\tt \#include $<$stdio.h$>$}\par
{\tt \#include $<$string.h$>$}\par
{\tt \#include $<$expat.h$>$}\par
{\tt \#include $<$discover/discover.h$>$}\par
{\tt \#include $<$discover/discover-xml.h$>$}\par
{\tt \#include $<$discover/load-url.h$>$}\par
{\tt \#include $<$discover/utils.h$>$}\par
\subsection*{Functions}
\begin{CompactItemize}
\item 
void {\bf discover\_\-xml\_\-merge\_\-busclass\_\-url} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$$\ast$blist, char $\ast$url, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-xml\_\-busclass\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-busclasses} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-busclasses} (void)
\item 
char $\ast$ {\bf discover\_\-xml\_\-busclass\_\-to\_\-class} (char $\ast$busclass, {\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses)
\item 
int {\bf discover\_\-xml\_\-busclass\_\-cmp} (char $\ast$busclass, char $\ast$discover\_\-class, {\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses)
\item 
char $\ast$ {\bf discover\_\-xml\_\-busclass\_\-get\_\-id} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclass)
\item 
char $\ast$ {\bf discover\_\-xml\_\-busclass\_\-get\_\-name} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclass)
\item 
{\bf discover\_\-xml\_\-busclass\_\-t} $\ast$ {\bf discover\_\-xml\_\-busclass\_\-get\_\-next} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclass)
\item 
{\bf discover\_\-xml\_\-busclass\_\-t} $\ast$ {\bf discover\_\-xml\_\-busclass\_\-new} (void)
\item 
void {\bf discover\_\-xml\_\-busclass\_\-free} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses)
\end{CompactItemize}


\subsection{Detailed Description}
Busclass XML data file parsing. 

This file contains the routines needed to properly process the busclass XML data. This file is responsible for handling URLs and actually storing the XML data during the parsing process. 

Definition in file {\bf busclass-xml.c}.